jQuery(function($) {

    /* -----------------------------------------
    Preloader
    ----------------------------------------- */
    $('#preloader').delay(1000).fadeOut();
    $('#loader').delay(1000).fadeOut("slow");

    /* -----------------------------------------
    Navigation
    ----------------------------------------- */
    $('.menu-toggle').click(function() {
        $(this).toggleClass('open');
    });

    /* -----------------------------------------
    Keyboard Navigation
    ----------------------------------------- */
    $(window).on('load resize', jewelry_accessories_navigation)

    function jewelry_accessories_navigation(event) {
        if ($(window).width() < 1200) {
            $('.main-navigation').find("li").last().bind('keydown', function(e) {
                if (e.shiftKey && e.which === 9) {
                    if ($(this).hasClass('focus')) {
                    }

                } else if (e.which === 9) {
                    e.preventDefault();
                    $('#masthead').find('.menu-toggle').focus();
                }                
            })
        } else {
            $('.main-navigation').find("li").unbind('keydown')
        }
    }

    jewelry_accessories_navigation()

    var jewelry_accessories_primary_menu_toggle = $('#masthead .menu-toggle');
    jewelry_accessories_primary_menu_toggle.on('keydown', function(e) {
        var tabKey = e.keyCode === 9;
        var shiftKey = e.shiftKey;

        if (jewelry_accessories_primary_menu_toggle.hasClass('open')) {
            if (shiftKey && tabKey) {
                e.preventDefault();
                const $the_last_li = $('.main-navigation').find("li").last()
                $the_last_li.find('a').focus()
                if (!$the_last_li.hasClass('focus')) {

                    const $is_parent_on_top = true
                    let $the_parent_ul = $the_last_li.closest('ul.sub-menu')

                    let count = 0

                    while (!!$the_parent_ul.length) {
                        ++count

                        const $the_parent_li = $the_parent_ul.closest('li')

                        if (!!$the_parent_li.length) {
                            $the_parent_li.addClass('focus')
                            $the_parent_ul = $the_parent_li.closest('ul.sub-menu')

                            // Blur the cross
                            $(this).blur()
                            $the_last_li.addClass('focus')
                        }

                        if (!$the_parent_ul.length) {
                            break;
                        }
                    }

                }

            };
        }
    })

    /* -----------------------------------------
    Main Slider
    ----------------------------------------- */

    // Determine if the document is RTL
    var isRtl = $('html').attr('dir') === 'rtl';
    
    jQuery(document).ready(function($) {
        jQuery('.product-box .owl-carousel').owlCarousel({
            margin: 40,
            nav: false,
            autoplay: true,
            lazyLoad: true,
            rtl:false,
            autoplayTimeout: 5000,
            loop: true,
            dots: false,
            responsive: {
            0: {
            items: 1,
            },
            601: {
            margin: 20,
            items: 2
            },
            1000: {
            items: 3
            },
            1200: {
            items: 4
            },
            autoplayHoverPause: false,
            mouseDrag: true
            },
        });
    });
    
    /* -----------------------------------------
    Scroll Top
    ----------------------------------------- */
    var jewelry_accessories_scrollToTopBtn = $('.jewelry-accessories-scroll-to-top');

    $(window).scroll(function() {
        if ($(window).scrollTop() > 400) {
            jewelry_accessories_scrollToTopBtn.addClass('show');
        } else {
            jewelry_accessories_scrollToTopBtn.removeClass('show');
        }
    });

    jewelry_accessories_scrollToTopBtn.on('click', function(e) {
        e.preventDefault();
        $('html, body').animate({
            scrollTop: 0
        }, '300');
    });

    //search js

    $(".input").focus(function() {
        $(".form").addClass("move");
    });
    $(".input").focusout(function() {
        $(".form").removeClass("move");
        $(".input").val("");
    });

    $(".search-main .btn").click(function() {
        $(".input").toggleClass("active");
        $(".form").toggleClass("active");
    });  
    
});

document.addEventListener('DOMContentLoaded', function() {
  const header = document.querySelector('.sticky-header');
  if (header) { // Check if header exists
    window.addEventListener('scroll', function() {
      if (window.scrollY > 0) {
        header.classList.add('is-sticky');
      } else {
        header.classList.remove('is-sticky');
      }
    });
  }
});

/* Progress Bar */
document.addEventListener("DOMContentLoaded", function () {
    const jewelry_accessories_progressBar =
        document.getElementById("jewelry_accessories_aster_progress_bar");
    if (!jewelry_accessories_progressBar) return;
    window.addEventListener("scroll", function () {
        const jewelry_accessories_scrollTop =
            document.documentElement.scrollTop || document.body.scrollTop;
        const jewelry_accessories_height =
            document.documentElement.scrollHeight -
            document.documentElement.clientHeight;
        const jewelry_accessories_scrolled =
            (jewelry_accessories_scrollTop / jewelry_accessories_height) * 100;
        jewelry_accessories_progressBar.style.width =
            jewelry_accessories_scrolled + "%";
    });
});